﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace EFCore5Console.Migrations
{
    public partial class wfsightingstables : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_WildlifeSighting_Addresses_AddressId",
                table: "WildlifeSighting");

            migrationBuilder.DropPrimaryKey(
                name: "PK_WildlifeSighting",
                table: "WildlifeSighting");

            migrationBuilder.RenameTable(
                name: "WildlifeSighting",
                newName: "WildlifeSightings");

            migrationBuilder.RenameIndex(
                name: "IX_WildlifeSighting_AddressId",
                table: "WildlifeSightings",
                newName: "IX_WildlifeSightings_AddressId");

            migrationBuilder.AddPrimaryKey(
                name: "PK_WildlifeSightings",
                table: "WildlifeSightings",
                column: "Id");

            migrationBuilder.CreateTable(
                name: "ScarySightings",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false),
                    Experience = table.Column<string>(type: "nvarchar(max)", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_ScarySightings", x => x.Id);
                });

            migrationBuilder.UpdateData(
                table: "WildlifeSightings",
                keyColumn: "Id",
                keyValue: 1,
                column: "DateTime",
                value: new DateTime(2020, 8, 21, 13, 40, 17, 714, DateTimeKind.Local).AddTicks(2614));

            migrationBuilder.UpdateData(
                table: "WildlifeSightings",
                keyColumn: "Id",
                keyValue: 2,
                column: "DateTime",
                value: new DateTime(2020, 8, 21, 13, 40, 17, 717, DateTimeKind.Local).AddTicks(5172));

            migrationBuilder.UpdateData(
                table: "WildlifeSightings",
                keyColumn: "Id",
                keyValue: 3,
                column: "DateTime",
                value: new DateTime(2020, 8, 21, 13, 40, 17, 717, DateTimeKind.Local).AddTicks(5214));

            migrationBuilder.UpdateData(
                table: "WildlifeSightings",
                keyColumn: "Id",
                keyValue: 4,
                column: "DateTime",
                value: new DateTime(2020, 8, 21, 13, 40, 17, 717, DateTimeKind.Local).AddTicks(5219));

            migrationBuilder.UpdateData(
                table: "WildlifeSightings",
                keyColumn: "Id",
                keyValue: 5,
                column: "DateTime",
                value: new DateTime(2020, 8, 21, 13, 40, 17, 717, DateTimeKind.Local).AddTicks(5223));

            migrationBuilder.UpdateData(
                table: "WildlifeSightings",
                keyColumn: "Id",
                keyValue: 6,
                column: "DateTime",
                value: new DateTime(2020, 8, 21, 13, 40, 17, 717, DateTimeKind.Local).AddTicks(5226));

            migrationBuilder.AddForeignKey(
                name: "FK_WildlifeSightings_Addresses_AddressId",
                table: "WildlifeSightings",
                column: "AddressId",
                principalTable: "Addresses",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_WildlifeSightings_Addresses_AddressId",
                table: "WildlifeSightings");

            migrationBuilder.DropTable(
                name: "ScarySightings");

            migrationBuilder.DropPrimaryKey(
                name: "PK_WildlifeSightings",
                table: "WildlifeSightings");

            migrationBuilder.RenameTable(
                name: "WildlifeSightings",
                newName: "WildlifeSighting");

            migrationBuilder.RenameIndex(
                name: "IX_WildlifeSightings_AddressId",
                table: "WildlifeSighting",
                newName: "IX_WildlifeSighting_AddressId");

            migrationBuilder.AddPrimaryKey(
                name: "PK_WildlifeSighting",
                table: "WildlifeSighting",
                column: "Id");

            migrationBuilder.UpdateData(
                table: "WildlifeSighting",
                keyColumn: "Id",
                keyValue: 1,
                column: "DateTime",
                value: new DateTime(2020, 8, 15, 10, 18, 36, 750, DateTimeKind.Local).AddTicks(2229));

            migrationBuilder.UpdateData(
                table: "WildlifeSighting",
                keyColumn: "Id",
                keyValue: 2,
                column: "DateTime",
                value: new DateTime(2020, 8, 15, 10, 18, 36, 753, DateTimeKind.Local).AddTicks(5840));

            migrationBuilder.UpdateData(
                table: "WildlifeSighting",
                keyColumn: "Id",
                keyValue: 3,
                column: "DateTime",
                value: new DateTime(2020, 8, 15, 10, 18, 36, 753, DateTimeKind.Local).AddTicks(5887));

            migrationBuilder.UpdateData(
                table: "WildlifeSighting",
                keyColumn: "Id",
                keyValue: 4,
                column: "DateTime",
                value: new DateTime(2020, 8, 15, 10, 18, 36, 753, DateTimeKind.Local).AddTicks(5893));

            migrationBuilder.UpdateData(
                table: "WildlifeSighting",
                keyColumn: "Id",
                keyValue: 5,
                column: "DateTime",
                value: new DateTime(2020, 8, 15, 10, 18, 36, 753, DateTimeKind.Local).AddTicks(5897));

            migrationBuilder.UpdateData(
                table: "WildlifeSighting",
                keyColumn: "Id",
                keyValue: 6,
                column: "DateTime",
                value: new DateTime(2020, 8, 15, 10, 18, 36, 753, DateTimeKind.Local).AddTicks(5901));

            migrationBuilder.AddForeignKey(
                name: "FK_WildlifeSighting_Addresses_AddressId",
                table: "WildlifeSighting",
                column: "AddressId",
                principalTable: "Addresses",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
